summaryrefslogtreecommitdiff
path: root/daemons
diff options
context:
space:
mode:
authorSamuel Thibault <samuel.thibault@ens-lyon.org>2012-09-23 00:20:18 +0200
committerSamuel Thibault <samuel.thibault@ens-lyon.org>2012-09-23 00:20:18 +0200
commitcc97e830849d92bbd8ac3ce68a4ef0710143224b (patch)
treefe2d8f2ef40ce2aa6d2a9b9ae17c7575f0a0b86d /daemons
parent43ffd49ce71b707697b8d9f68cc333cef7209caa (diff)
Automatically setup local sockets if not already done so.
Needed early for shell pipelines. * daemons/runsystem.sh: See whether pflocal is setup already, and do so if not (install case)
Diffstat (limited to 'daemons')
-rw-r--r--daemons/runsystem.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/daemons/runsystem.sh b/daemons/runsystem.sh
index c3cb2d62..4b9334e3 100644
--- a/daemons/runsystem.sh
+++ b/daemons/runsystem.sh
@@ -55,6 +55,12 @@ function singleuser ()
}
+# See whether pflocal is setup already, and do so if not (install case)
+
+if ! test -e /servers/socket/1 && which settrans >/dev/null ; then
+ settrans -c /servers/socket/1 /hurd/pflocal
+fi
+
# We expect to be started by console-run, which gives us no arguments and
# puts FALLBACK_CONSOLE=file-name in the environment if our console is
# other than a normal /dev/console.